package com.sooka.system.funeral.ashes_remove.service;

import com.sooka.system.funeral.ashes_remove.domain.TGuijiAshesRemove;

import java.util.List;

/**
 * 市殡葬-骨灰取走基本信息Service接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface ITGuijiAshesRemoveService
{
    /**
     * 查询市殡葬-骨灰取走基本信息
     *
     * @param id 市殡葬-骨灰取走基本信息ID
     * @return 市殡葬-骨灰取走基本信息
     */
    public TGuijiAshesRemove selectById(String id);

    /**
     * 查询市殡葬-骨灰取走基本信息列表
     *
     * @param param 市殡葬-骨灰取走基本信息
     * @return 市殡葬-骨灰取走基本信息集合
     */
    public List<TGuijiAshesRemove> selectList(TGuijiAshesRemove param);

    /**
     * 新增市殡葬-骨灰取走基本信息
     *
     * @param param 市殡葬-骨灰取走基本信息
     * @return 结果
     */
    public int insert(TGuijiAshesRemove param);

    /**
     * 修改市殡葬-骨灰取走基本信息
     *
     * @param param 市殡葬-骨灰取走基本信息
     * @return 结果
     */
    public int update(TGuijiAshesRemove param);

    /**
     * 批量删除市殡葬-骨灰取走基本信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String ids);

    /**
     * 删除市殡葬-骨灰取走基本信息信息
     *
     * @param id 市殡葬-骨灰取走基本信息ID
     * @return 结果
     */
    public int deleteById(String id);
}
